These docs are for v2023.01. Click to read the latest docs for v2024.09.

Update a Shipment

Update shipment details.

Required authorization scope: Shipment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Easyship Shipment ID provided when creating the shipment

Body Params
origin_address
object

Origin Address

sender_address
object

Sender Address. Only applies if the courier allows a different address to be displayed on the label. If not specified, the origin address is used by default.

return_address
object

Return Address. If not specified, the origin address is used by default.

destination_address
object
metadata
object

Set of key-value pairs that you can attach to a shipment. This can be useful for storing additional information about the object in a structured format

boolean

This is automatically validated for US addresses. If specified, validation is bypassed.

string

The consignee's tax identification number or EIN. This is required for customs clearance when shipping to certain countries, such as China and Brazil.

string

The Electronic Export Identifier (EEI). This is required when shipping goods over USD2500 in value (Applies to US-outbound shipments only).

regulatory_identifiers
object

Seller's identifiers for various tax, import and export regulations.

string | null
enum
Defaults to DDU

Terms of Sale

Allowed:
insurance
object | null

Insurance

order_data
object

Free-form data related to the eCommerce platform

courier_selection
object
shipping_settings
object
parcels
array of objects
length between 1 and 200

Parcels

parcels
uuid

ID of the parcel that should be updated

number

Total weight of the shipment, including the box weight. If you provide the total weight of the shipment, then the weight for items can be optional.

box
object | null

The box dimensions for the shipment. If the box dimensions are provided, then dimensions for items are optional.

items
array of objects
length between 1 and 200

Array of all shipment items

items
string
≤ 200

Description of the item

string | null
≤ 200

Item category name or slug. Use the Item Categories API to retrieve a list of available item categories.

string
≤ 100

Item Stock Keeping Unit (SKU) as listed in your store.

string

HS Code of the item

boolean | null

Whether the item contains a PI966 battery (applicable when HS code is used).

boolean | null

Whether the item contains a PI967 battery (applicable when HS code is used).

boolean | null

Whether the item contains liquids (applicable when HS code is used).

string | null
enum

Country Code in Alpha-2 format (ISO 3166-1)

integer
Defaults to 1

Item quantity

dimensions
object

Dimensions of the item

number

Item actual weight in kg, must be greater than 0; Optional if total_actual_weight is provided.

string
enum

Item currency. ISO-4217 three-letter alphabetic currency code (e.g. USD, EUR, GBP).

number

Item customs value, must be greater than 0 unless category is documents.

uuid

ID of the item that should be updated

Responses

Language
Credentials
Bearer
token
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json